var $AdfAutomationUtils$$ = {};
$goog$exportSymbol$$("AdfAutomationUtils", $AdfAutomationUtils$$);
$AdfAutomationUtils$$.$isAboveTopGlassPane$ = function $$AdfAutomationUtils$$$$isAboveTopGlassPane$$($element$$402_id$$388$$) {
  $element$$402_id$$388$$ = $AdfAgent$$.$AGENT$.getElementById($element$$402_id$$388$$);
  return $AdfPage$$.$PAGE$.$getModalityManager$().$isAboveTopGlassPane$($element$$402_id$$388$$);
};
$AdfAutomationUtils$$.isAboveTopGlassPane = $AdfAutomationUtils$$.$isAboveTopGlassPane$;
$goog$exportSymbol$$("AdfAutomationUtils.isAboveTopGlassPane", $AdfAutomationUtils$$.$isAboveTopGlassPane$);
$AdfAutomationUtils$$.$showPopupInZorderScope$ = function $$AdfAutomationUtils$$$$showPopupInZorderScope$$($popupId$$82$$, $zorderScope$$2$$) {
  var $popup$$61$$ = $AdfPage$$.$PAGE$.$findComponentByAbsoluteId$($popupId$$82$$), $hints$$106$$ = {};
  "ZORDER_SCOPE_CONTAINED_FORM" == $zorderScope$$2$$ ? $hints$$106$$.zorderScope = 1 : "ZORDER_SCOPE_BODY" == $zorderScope$$2$$ && ($hints$$106$$.zorderScope = 2);
  $popup$$61$$.show($hints$$106$$);
};
$AdfAutomationUtils$$.showPopupInZorderScope = $AdfAutomationUtils$$.$showPopupInZorderScope$;
$goog$exportSymbol$$("AdfAutomationUtils.showPopupInZorderScope", $AdfAutomationUtils$$.$showPopupInZorderScope$);
$AdfAutomationUtils$$.$getContainedFormIdForVisiblePopup$ = function $$AdfAutomationUtils$$$$getContainedFormIdForVisiblePopup$$($contentDom$$47_formElement$$12_popupId$$83$$) {
  $contentDom$$47_formElement$$12_popupId$$83$$ = $AdfAutomationUtils$$.$getPopupContentDom$($contentDom$$47_formElement$$12_popupId$$83$$);
  $contentDom$$47_formElement$$12_popupId$$83$$ = $AdfDomUtils$$.$getFormElement$($contentDom$$47_formElement$$12_popupId$$83$$);
  var $formId$$15$$ = "";
  $contentDom$$47_formElement$$12_popupId$$83$$ && $contentDom$$47_formElement$$12_popupId$$83$$.id && ($formId$$15$$ = $contentDom$$47_formElement$$12_popupId$$83$$.id);
  return $formId$$15$$;
};
$AdfAutomationUtils$$.getContainedFormIdForVisiblePopup = $AdfAutomationUtils$$.$getContainedFormIdForVisiblePopup$;
$goog$exportSymbol$$("AdfAutomationUtils.getContainedFormIdForVisiblePopup", $AdfAutomationUtils$$.$getContainedFormIdForVisiblePopup$);
$AdfAutomationUtils$$.$getPopupContentDom$ = function $$AdfAutomationUtils$$$$getPopupContentDom$$($popup$$62_popupId$$84$$) {
  $popup$$62_popupId$$84$$ = $AdfPage$$.$PAGE$.$findComponentByAbsoluteId$($popup$$62_popupId$$84$$);
  return $AdfDhtmlPopupPeer$$.$getContentDom$($popup$$62_popupId$$84$$);
};
$AdfAutomationUtils$$.getPopupContentDom = $AdfAutomationUtils$$.$getPopupContentDom$;
$goog$exportSymbol$$("AdfAutomationUtils.getPopupContentDom", $AdfAutomationUtils$$.$getPopupContentDom$);
$AdfAutomationUtils$$.$isDomElementVisible$ = function $$AdfAutomationUtils$$$$isDomElementVisible$$($domElement$$706$$) {
  return $AdfDomUtils$$.$isVisible$($domElement$$706$$) ? "true" : "false";
};
$AdfAutomationUtils$$.isDomElementVisible = $AdfAutomationUtils$$.$isDomElementVisible$;
$goog$exportSymbol$$("AdfAutomationUtils.isDomElementVisible", $AdfAutomationUtils$$.$isDomElementVisible$);
$AdfAutomationUtils$$.$getInternalIdForLocator$ = function $$AdfAutomationUtils$$$$getInternalIdForLocator$$($id$$389$$, $subId$$71$$) {
  var $component$$2481$$ = $AdfPage$$.$PAGE$.$findComponentByAbsoluteId$($id$$389$$);
  return $component$$2481$$.$getPeer$().$getSubIdDomElement$($component$$2481$$, $subId$$71$$).id;
};
$AdfAutomationUtils$$.getInternalIdForLocator = $AdfAutomationUtils$$.$getInternalIdForLocator$;
$goog$exportSymbol$$("AdfAutomationUtils.getInternalIdForLocator", $AdfAutomationUtils$$.$getInternalIdForLocator$);
$AdfAutomationUtils$$.$getZOrderManagerElementCount$ = function $$AdfAutomationUtils$$$$getZOrderManagerElementCount$$() {
  return $AdfPage$$.$PAGE$.$getZOrderManager$().$getElementCount$();
};
$AdfAutomationUtils$$.getZOrderManagerElementCount = $AdfAutomationUtils$$.$getZOrderManagerElementCount$;
$goog$exportSymbol$$("AdfAutomationUtils.getZOrderManagerElementCount", $AdfAutomationUtils$$.$getZOrderManagerElementCount$);
$AdfAutomationUtils$$.$getPositionManagerElementCount$ = function $$AdfAutomationUtils$$$$getPositionManagerElementCount$$() {
  return $AdfPage$$.$PAGE$.$getPositionManager$().$getElementCount$();
};
$AdfAutomationUtils$$.getPositionManagerElementCount = $AdfAutomationUtils$$.$getPositionManagerElementCount$;
$goog$exportSymbol$$("AdfAutomationUtils.getPositionManagerElementCount", $AdfAutomationUtils$$.$getPositionManagerElementCount$);
$AdfAutomationUtils$$.$getDialogManagerElementCount$ = function $$AdfAutomationUtils$$$$getDialogManagerElementCount$$() {
  return $AdfDhtmlDialogManager$$.$getInstance$().$getElementCount$();
};
$AdfAutomationUtils$$.getDialogManagerElementCount = $AdfAutomationUtils$$.$getDialogManagerElementCount$;
$goog$exportSymbol$$("AdfAutomationUtils.getDialogManagerElementCount", $AdfAutomationUtils$$.$getDialogManagerElementCount$);
$AdfAutomationUtils$$.$getModalityManagerElementCount$ = function $$AdfAutomationUtils$$$$getModalityManagerElementCount$$() {
  return $AdfPage$$.$PAGE$.$getModalityManager$().$getElementCount$();
};
$AdfAutomationUtils$$.getModalityManagerElementCount = $AdfAutomationUtils$$.$getModalityManagerElementCount$;
$goog$exportSymbol$$("AdfAutomationUtils.getModalityManagerElementCount", $AdfAutomationUtils$$.$getModalityManagerElementCount$);
$AdfAutomationUtils$$.$getAutoDismissalManagerElementCount$ = function $$AdfAutomationUtils$$$$getAutoDismissalManagerElementCount$$() {
  return $AdfPage$$.$PAGE$.$getAutoDismissalManager$().$getBehaviorCount$();
};
$AdfAutomationUtils$$.getAutoDismissalManagerElementCount = $AdfAutomationUtils$$.$getAutoDismissalManagerElementCount$;
$goog$exportSymbol$$("AdfAutomationUtils.getAutoDismissalManagerElementCount", $AdfAutomationUtils$$.$getAutoDismissalManagerElementCount$);
$AdfAutomationUtils$$.$selectLovTableRow$ = function $$AdfAutomationUtils$$$$selectLovTableRow$$($tblLocator$$, $row$$152$$) {
  var $sublocators_table$$78_tblDom$$ = $tblLocator$$.split("#"), $comp$$29_rowKey$$157$$ = $AdfPage$$.$PAGE$.$findComponentByAbsoluteLocator$($sublocators_table$$78_tblDom$$[0]);
  $sublocators_table$$78_tblDom$$.splice(0, 1);
  var $sublocators_table$$78_tblDom$$ = $comp$$29_rowKey$$157$$.$getPeer$().$getSubIdDomElement$($comp$$29_rowKey$$157$$, $sublocators_table$$78_tblDom$$.join("#")), $sublocators_table$$78_tblDom$$ = $AdfPage$$.$PAGE$.$findComponentByAbsoluteLocator$($sublocators_table$$78_tblDom$$.id), $comp$$29_rowKey$$157$$ = $sublocators_table$$78_tblDom$$.$getRowKey$($row$$152$$), $rowKeySet$$ = {};
  $rowKeySet$$[$comp$$29_rowKey$$157$$] = !0;
  $sublocators_table$$78_tblDom$$.setSelectedRowKeys($rowKeySet$$);
  return !0;
};
$AdfAutomationUtils$$.selectLovTableRow = $AdfAutomationUtils$$.$selectLovTableRow$;
$goog$exportSymbol$$("AdfAutomationUtils.selectLovTableRow", $AdfAutomationUtils$$.$selectLovTableRow$);
$AdfAutomationUtils$$.$getSkinProperty$ = function $$AdfAutomationUtils$$$$getSkinProperty$$($key$$120$$) {
  return $AdfPage$$.$PAGE$.$getLookAndFeel$().$getSkinProperty$($key$$120$$);
};
$AdfAutomationUtils$$.getSkinProperty = $AdfAutomationUtils$$.$getSkinProperty$;
$goog$exportSymbol$$("AdfAutomationUtils.getSkinProperty", $AdfAutomationUtils$$.$getSkinProperty$);
$AdfAutomationUtils$$.$doMenuCommand$ = function $$AdfAutomationUtils$$$$doMenuCommand$$($locator$$28_menuComp$$1$$, $command$$18$$, $isScrollDown$$2$$) {
  $locator$$28_menuComp$$1$$ = $AdfPage$$.$PAGE$.$findComponent$($locator$$28_menuComp$$1$$);
  var $menuPeer$$7$$ = $locator$$28_menuComp$$1$$.$getPeer$();
  $menuPeer$$7$$.bind($locator$$28_menuComp$$1$$);
  "show" == $command$$18$$ ? $menuPeer$$7$$.show(null, !0) : "close" == $command$$18$$ ? $menuPeer$$7$$.close(!0) : "detach" == $command$$18$$ ? $menuPeer$$7$$.$__makeDetached$() : $menuPeer$$7$$.$__startScroll$($isScrollDown$$2$$, !0);
};
$AdfAutomationUtils$$.doMenuCommand = $AdfAutomationUtils$$.$doMenuCommand$;
$goog$exportSymbol$$("AdfAutomationUtils.doMenuCommand", $AdfAutomationUtils$$.$doMenuCommand$);
$AdfAutomationUtils$$.$_getDlgSrvPopupCtnrPeer$ = function $$AdfAutomationUtils$$$$_getDlgSrvPopupCtnrPeer$$() {
  var $peer$$230$$, $component$$2482$$ = $AdfPage$$.$PAGE$.$findComponent$("afr::DlgSrvPopupCtnr");
  $component$$2482$$ && ($peer$$230$$ = $component$$2482$$.$getPeer$(), $peer$$230$$.bind($component$$2482$$));
  return $peer$$230$$;
};
$AdfAutomationUtils$$.$getRichDialogServiceState$ = function $$AdfAutomationUtils$$$$getRichDialogServiceState$$($dialogId$$15$$) {
  var $state$$103$$, $peer$$231$$ = $AdfAutomationUtils$$.$_getDlgSrvPopupCtnrPeer$();
  $peer$$231$$ && ($state$$103$$ = $dialogId$$15$$ ? $peer$$231$$.$getState$($dialogId$$15$$) : $peer$$231$$.$getStateLast$());
  return $state$$103$$;
};
$AdfAutomationUtils$$.getRichDialogServiceState = $AdfAutomationUtils$$.$getRichDialogServiceState$;
$goog$exportSymbol$$("AdfAutomationUtils.getRichDialogServiceState", $AdfAutomationUtils$$.$getRichDialogServiceState$);
$AdfAutomationUtils$$.$getRichDialogServiceAllIds$ = function $$AdfAutomationUtils$$$$getRichDialogServiceAllIds$$() {
  var $ids$$22$$ = null, $idsArr_peer$$232$$ = $AdfAutomationUtils$$.$_getDlgSrvPopupCtnrPeer$();
  $idsArr_peer$$232$$ && ($ids$$22$$ = $idsArr_peer$$232$$.$getAllIds$());
  $idsArr_peer$$232$$ = null;
  if ($ids$$22$$ && 0 < $ids$$22$$.length) {
    for (var $idsArr_peer$$232$$ = [], $i$$772$$ = 0, $len$$38$$ = $ids$$22$$.length;$i$$772$$ < $len$$38$$;$i$$772$$++) {
      $idsArr_peer$$232$$.push(parseInt($ids$$22$$[$i$$772$$]));
    }
  }
  return $idsArr_peer$$232$$;
};
$AdfAutomationUtils$$.getRichDialogServiceAllIds = $AdfAutomationUtils$$.$getRichDialogServiceAllIds$;
$goog$exportSymbol$$("AdfAutomationUtils.getRichDialogServiceAllIds", $AdfAutomationUtils$$.$getRichDialogServiceAllIds$);
$AdfAutomationUtils$$.$getPopupDisclosedState$ = function $$AdfAutomationUtils$$$$getPopupDisclosedState$$($component$$2483_id$$390$$) {
  var $isPopup$$ = !1, $isVisible$$9$$ = !1;
  if ($component$$2483_id$$390$$ = $AdfPage$$.$PAGE$.$findComponent$($component$$2483_id$$390$$)) {
    if ($component$$2483_id$$390$$.$isPopupVisible$) {
      $isPopup$$ = !0, $isVisible$$9$$ = $component$$2483_id$$390$$.$isPopupVisible$();
    } else {
      var $peer$$233$$ = $component$$2483_id$$390$$.$getPeer$();
      $peer$$233$$.$isPopupVisible$ && ($isPopup$$ = !0, $isVisible$$9$$ = $peer$$233$$.$isPopupVisible$($component$$2483_id$$390$$, $component$$2483_id$$390$$.$getClientId$()));
    }
  }
  return {isVisible:$isVisible$$9$$, isPopup:$isPopup$$};
};
$AdfAutomationUtils$$.getPopupDisclosedState = $AdfAutomationUtils$$.$getPopupDisclosedState$;
$goog$exportSymbol$$("AdfAutomationUtils.getPopupDisclosedState", $AdfAutomationUtils$$.$getPopupDisclosedState$);
$AdfAutomationUtils$$.$cancelPopup$ = function $$AdfAutomationUtils$$$$cancelPopup$$($component$$2484_id$$391$$) {
  if ($component$$2484_id$$391$$ = $AdfPage$$.$PAGE$.$findComponent$($component$$2484_id$$391$$)) {
    if ($component$$2484_id$$391$$.cancel) {
      return $component$$2484_id$$391$$.cancel(), !0;
    }
    var $peer$$234$$ = $component$$2484_id$$391$$.$getPeer$();
    if ($peer$$234$$.cancel) {
      return $peer$$234$$.cancel($component$$2484_id$$391$$, $component$$2484_id$$391$$.$getClientId$()), !0;
    }
  }
  return !1;
};
$AdfAutomationUtils$$.cancelPopup = $AdfAutomationUtils$$.$cancelPopup$;
$goog$exportSymbol$$("AdfAutomationUtils.cancelPopup", $AdfAutomationUtils$$.$cancelPopup$);
$AdfAutomationUtils$$.$queueCachedPollEvents$ = function $$AdfAutomationUtils$$$$queueCachedPollEvents$$() {
  for (var $length$$103$$ = $AdfDhtmlPollPeer$$.$COMPONENT_QUEUE$.length, $component$$2485$$;0 != $length$$103$$--;) {
    $component$$2485$$ = $AdfPage$$.$PAGE$.$findComponent$($AdfDhtmlPollPeer$$.$COMPONENT_QUEUE$.shift()), null != $component$$2485$$ && $AdfPollEvent$$.$queue$($component$$2485$$);
  }
};
$AdfAutomationUtils$$.queueCachedPollEvents = $AdfAutomationUtils$$.$queueCachedPollEvents$;
$goog$exportSymbol$$("AdfAutomationUtils.queueCachedPollEvents", $AdfAutomationUtils$$.$queueCachedPollEvents$);
